<?php

namespace App\Exports;

use App\User;
use Maatwebsite\Excel\Concerns\FromCollection;
use Illuminate\Contracts\View\View;
use Maatwebsite\Excel\Concerns\FromView;
use Maatwebsite\Excel\Concerns\FromQuery;
use Maatwebsite\Excel\Concerns\Exportable;

class OrderExport implements FromView
{
    /**
     * @return \Illuminate\Support\Collection
     */

    public function __construct($rows)
    {
        $this->rows = $rows;

    }


    public function view(): View
    {
        return view('admin.excel.orders', [
            'rows' => $this->rows
        ]);
    }
}
